Package com.arms.api.patchnote.controller

## Class AdminPatchController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<PatchnoteService,​PatchnoteDTO,​PatchnoteEntity>
  - - com.arms.api.patchnote.controller.AdminPatchController

-     @Controller
      @RestController
      @RequestMapping("/arms/patchnote")
      public class AdminPatchController
      extends TreeAbstractController<PatchnoteService,​PatchnoteDTO,​PatchnoteEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdminPatchController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<PatchnoteEntity>` | `addPatchnote​(PatchnoteDTO patchnoteDTO)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<PatchnoteEntity>` | `updatePatchnote​(PatchnoteDTO patchnoteDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminPatchController

          public AdminPatchController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### addPatchnote

          @PostMapping("/addPatchnote.do")
          public org.springframework.http.ResponseEntity<PatchnoteEntity> addPatchnote​(@RequestBody
                                                                                       PatchnoteDTO patchnoteDTO)
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updatePatchnote

          @PutMapping("/updatePatchnote.do")
          public org.springframework.http.ResponseEntity<PatchnoteEntity> updatePatchnote​(@RequestBody
                                                                                          PatchnoteDTO patchnoteDTO)
                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`